Ryzehosting
  1. ryzectrl
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
      GET
    • details
      GET
    • renew
      POST
    • order
      POST
    • list
      GET
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. ryzectrl

order

POST
ryzectrl/order

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dash.ryzehosting.com/api/v2/ryzectrl/order' \
--header 'Content-Type: application/json' \
--data-raw '{
  "pack_uuid": "019b4dc7-d35f-826d-bd1b-ac0021e93714",
  "duration": 30,
  "tos": true,
  "cancellation": true,
  "discount_code": ""
}'
Response Response Example
200 - Success
{
    "response": "Ryzectrl license created successfully",
    "state": "success",
    "code": 200,
    "data": {
        "order_id": "019b50ab-8b52-89e0-be3f-813cb90f2b5c",
        "license_uuid": "019b50ab-8b53-89e3-af1e-55e07195644c",
        "license_key": "RYZCTRL-7DDF-B9C0-5EB5",
        "package": {
            "uuid": "019b4dc7-d35f-826d-bd1b-ac0021e93714",
            "name": "RYZECTRL01"
        },
        "duration": 30,
        "expire_at": "2026-01-23 14:02:58",
        "pricings": {
            "year": 60,
            "month": 5,
            "hour": 0.0069
        },
        "state": "ACTIVE"
    }
}
Modified at 2025-12-30 03:58:02
Previous
renew
Next
list
Built with